Summit EQF-100

Summit EQF-100

 
 
 
Full Product

AAX DSP, AAX native, AU, Mac, VST, Win

Download
after successsful payment
$ 89.00

 2.67BestCoinBestCoin Bonus 

The Summit Audio EQF-100 Full Range Passive Tube Equalizer really sets the standard for all passive equalizer designs. The superior build quality and the perfect fusion of vintage and modern design choices is what makes it great, and that will make a difference to your sound.

The flexibility and smoothness are the key features of the EQF-100. Four fully parametric bands of equalization and additional three position low and high cut filters make the EQF-100 a go-to equalizer for any sound or instrument in your mix. A mix that no doubt will sound warmer and fatter with the help of the EQF-100 and its unique blend of tube and solid state technology. If you want more edge from your EQ, just drive the output meter into the red and you'll experience a woody and thick saturation coming from the output stage.

Features

  • Modeled output stage distortion
  • Four fully parametric bands of equalization
  • Two three-position low and high cut filters
  • Smooth sound and flexible operation
  • Each and every component carefully modeled

 


 Requirements

Mac:

  • macOS 10.13 or higher
  • 64 bit
  • Intel Core i3 (M1 support pending)
  • RAM: 8GB
  • 1280x800 or higher display resolution

Windows:

  • Windows 10
  • 64 bit
  • Intel Core i3 or AMD Quad-Core
  • RAM: 8GB
  • 1280x800 or higher display resolution

iLok License

This product requires an activation!
You can either "soft" activate on your computer without addditional hardware or transfer the license to an iLok USB dongle which has to be purchased separately. The iLok dongle can be used to run the protected software on different computers. Your licenses can be easily manged using the iLok Licence Manager. To protect your investment against theft or loss we recommend the iLok Zero Downtime protection with TLC.

An internet connection on any computer and a free user-accout at www.ilok.com is required to authorize the product.

Please check with the software manufacturer which iLok version is required at least if you want to use a hardware iLok!